# Create refund for payment

Endpoint to initiate refund of Bancontact Company payment to the debtor.
This endpoint is idempotent based on 'Idempotency-Key' header. So the same request can be safely retried in case of timeout/network issue.

Endpoint: POST /v3/payments/{payment-id}/refunds
Version: 3.0.3
Security: JWS-Request-Signature-Refund

## Path parameters:

  - `payment-id` (string, required)
    Payment Id

## Header parameters:

  - `Idempotency-Key` (string, required)
    Unique request identifier with a maximum of 64 characters (we recommend UUID). It will be used for idempotency check.

## Request fields (application/json):

  - `amount` (integer, required)
    Amount in cents

  - `currency` (string, required)
    currency code. Only EUR is supported [ISO 4217](http://en.wikipedia.org/wiki/ISO_4217)
    Enum: "EUR"

  - `description` (string)
    refund description

## Response 201 fields (application/json):

  - `refundId` (string, required)
    refund identifier

  - `paymentId` (string, required)
    payment identifier

  - `status` (string, required)
    Refund status after creation. Always has value 'PENDING', because refund processing is asynchronous.
Current status can be checked using GET '/v3/payments/{payment-id}/refunds/{refund-id}' endpoint.
    Enum: "PENDING"

  - `amount` (integer, required)
    Amount in cents

  - `currency` (string, required)
    currency code. Only EUR is supported [ISO 4217](http://en.wikipedia.org/wiki/ISO_4217)
    Enum: "EUR"

  - `description` (string)
    refund description

  - `creationDate` (string, required)
    timestamp, when refund was created

## Response 400 fields (application/json):

  - `code` (string, required)
    Error code

  - `message` (string, required)
    Error message

## Response 401 fields (application/json):

  - `code` (string, required)
    Error code

  - `message` (string, required)
    Error message

## Response 403 fields (application/json):

  - `code` (string, required)
    Error code

  - `message` (string, required)
    Error message

## Response 422 fields (application/json):

  - `code` (string, required)
    Error code

  - `message` (string, required)
    Error message

## Response 500 fields (application/json):

  - `code` (string, required)
    Error code

  - `message` (string, required)
    Error message


## Response 503 fields
